flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-6654) missing maven dependency on "flink-shaded-hadoop2-uber" in flink-dist
Date Mon, 22 May 2017 10:25:04 GMT

    [ https://issues.apache.org/jira/browse/FLINK-6654?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16019416#comment-16019416
] 

ASF GitHub Bot commented on FLINK-6654:
---------------------------------------

GitHub user NicoK opened a pull request:

    https://github.com/apache/flink/pull/3960

    [FLINK-6654][build] let 'flink-dist' properly depend on 'flink-shaded…

    Since applying FLINK-6514, flink-dist includes `flink-shaded-hadoop2-uber-*.jar` but without
giving this dependency in its `pom.xml`. This may lead to concurrency issues during builds
but also fails building the flink-dist module only (with dependencies) as in
    
    `mvn clean install -pl flink-dist -am`
    
    This PR adds the missing dependency.


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/NicoK/flink flink-6654

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/flink/pull/3960.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #3960
    
----
commit 1b40449ac5373e93f8ddb4b3cf46dca2bcc3a900
Author: Nico Kruber <nico@data-artisans.com>
Date:   2017-05-22T10:14:59Z

    [FLINK-6654][build] let 'flink-dist' properly depend on 'flink-shaded-hadoop2-uber'

----


> missing maven dependency on "flink-shaded-hadoop2-uber" in flink-dist
> ---------------------------------------------------------------------
>
>                 Key: FLINK-6654
>                 URL: https://issues.apache.org/jira/browse/FLINK-6654
>             Project: Flink
>          Issue Type: Bug
>          Components: Build System
>    Affects Versions: 1.3.0
>            Reporter: Nico Kruber
>            Assignee: Nico Kruber
>             Fix For: 1.3.0
>
>
> Since applying FLINK-6514, flink-dist includes {{flink-shaded-hadoop2-uber-*.jar}} but
without giving this dependency in its {{pom.xml}}. This may lead to concurrency issues during
builds but also fails building the flink-dist module only (with dependencies) as in
> {code}
> mvn clean install -pl flink-dist -am
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message